<div>
    <div class="title" translate="SETTINGS_TITLE"></div>
    <form class="clearfix form-settings" name="settings" novalidate>
        <div ng-show="!altServersEnabled()" class="form-group">
            <label>{{ 'SETTINGS_SERVER' | translate }} (FQDN / IP)</label>
            <input placeholder="{{'SETTINGS_SERVER_ADDRESS' | translate}}" id="remoteUrl" class="form-control"
                ng-model="serverAddress">
        </div>
        <div ng-show="altServersEnabled()" class="form-group alt-server-selection">
            <label for="altServers">{{ 'SETTINGS_SERVER' | translate }}</label><br>
            <select name="altServers" id="altServers" ng-model="selectedAltServer"
            ng-options="altServer.displayName for altServer in altServers track by altServer.id"></select>
        </div>
        <div class="form-group">
            <div class="form-group alt-server-selection">
                <label translate="SETTINGS_INTERFACE"></label>
                <select name="interface" id="interface-list" ng-init="initInterfaceSelection()" ng-model="selectedInterfaceWrapper.selected"
                ng-options="interface | translate for interface in interfaces">
            </select>
            </div>
        </div>
        <label translate="SETTINGS_OPTIONS"></label>
        <div class="checkbox">
            <input type="checkbox" name="startUp" id="optionStartUp" ng-model="startup">
            <label for="optionStartUp">{{ 'SETTINGS_STARTUP' | translate }}</label>
        </div>
        <div class="checkbox">
            <input type="checkbox" name="closeTray" id="optionCloseTray" ng-model="close">
            <label for="optionCloseTray">{{ 'SETTINGS_CLOSE_TRAY' | translate }}</label>
        </div>
        <div class="form-group" ng-class="{'has-error': !settings.shortcut.$valid}">
            <label class="control-label" translate="SETTINGS_SHORTCUT"></label>
            <ui-select multiple name="shortcut" ng-model="shortcut.current" theme="bootstrap" sortable="true"
                close-on-select="true" limit="4" valid-shortcut>
                <ui-select-match placeholder="{{'SETTINGS_SHORTCUT_PLACEHOLDER' | translate}}">{{$item.label}}
                </ui-select-match>
                <ui-select-choices group-by="groupKey" repeat="key in keyList | filter: {label: $select.search}">
                    {{key.label}}
                </ui-select-choices>
            </ui-select>
            <div class="help-block" ng-show="settings.shortcut.$error.format">{{displayShortcutError()}}</div>
        </div>
        <br>
        <div class="clearfix">
            <a class="btn btn-default-alt btn-uppercase" ui-sref="main" translate="BUTTON_CANCEL"></a>
            <input class="btn btn-primary-alt btn-uppercase pull-right" id="save-button" type="submit" ng-disabled="settings.$invalid"
                value="{{'BUTTON_SAVE' | translate}}" ng-click="save()">
        </div>
    </form>
</div>
